Page MenuHomePhabricator

Update apertium-fra-cat MT pair
Closed, ResolvedPublic

Description

Round 1:

Update apertium-fra-cat to latest release from upstream.

  • Update apertium-cat -> 2.4.0~r84327
    • Debian
    • WMF
  • Update apertium-fra -> 1.2.0~r84327
    • Debian
    • WMF
  • Update apertium-fra-cat -> 1.3.0~r84327
    • Debian
    • WMF
  • Deployment & Testing.
  • Revert

Round 2:

  • apertium-cat -> v2.6.0
    • Debian
    • WMF
  • apertium-fra -> v1.5.0
    • Debian
    • WMF
  • apertium-fra-cat -> v1.5.0
    • Debian
    • WMF
  • Update packages in Production.
  • Testing.

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
KartikMistry updated the task description. (Show Details)Mar 26 2018, 5:23 AM

Change 421813 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-fra@master] apertium-fra: New upstream release

https://gerrit.wikimedia.org/r/421813

KartikMistry updated the task description. (Show Details)Mar 26 2018, 7:06 AM
KartikMistry updated the task description. (Show Details)

Change 421825 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-cat@master] apertium-cat: New upstream release

https://gerrit.wikimedia.org/r/421825

KartikMistry updated the task description. (Show Details)Mar 26 2018, 7:21 AM

Change 421859 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-fra-cat@master] apertium-fra-cat: New upstream release

https://gerrit.wikimedia.org/r/421859

Change 421825 merged by Alexandros Kosiaris:
[operations/debs/contenttranslation/apertium-cat@master] apertium-cat: New upstream release

https://gerrit.wikimedia.org/r/421825

Change 421813 merged by Alexandros Kosiaris:
[operations/debs/contenttranslation/apertium-fra@master] apertium-fra: New upstream release

https://gerrit.wikimedia.org/r/421813

Mentioned in SAL (#wikimedia-operations) [2018-03-30T12:47:11Z] <akosiaris> T189076 upload apertium-fra to apt.wikimedia.org/jessie-wikimedia/main

Mentioned in SAL (#wikimedia-operations) [2018-03-30T12:47:51Z] <akosiaris> T189076 upload apertium-cat to apt.wikimedia.org/jessie-wikimedia/main

Change 421859 merged by Alexandros Kosiaris:
[operations/debs/contenttranslation/apertium-fra-cat@master] apertium-fra-cat: New upstream release

https://gerrit.wikimedia.org/r/421859

Mentioned in SAL (#wikimedia-operations) [2018-03-30T14:16:29Z] <akosiaris> T189076 upload apertium-fra-cat to apt.wikimedia.org/jessie-wikimedia/main

KartikMistry updated the task description. (Show Details)Apr 4 2018, 12:09 PM
KartikMistry updated the task description. (Show Details)Jun 21 2018, 6:23 AM
KartikMistry updated the task description. (Show Details)Jun 25 2018, 7:03 AM

Blockers are done; We can update to 1.3.0~r84327 in Production.

@akosiaris We can update apertium-fra-cat in Production now.

Mentioned in SAL (#wikimedia-operations) [2018-07-11T13:13:44Z] <akosiaris> upgrade apertium-fra-cat on scb boxes to 1.3.0~r84327-1+wmf1, T189076

Mentioned in SAL (#wikimedia-operations) [2018-07-11T13:16:01Z] <akosiaris> restart apertium-apy for apertium-fra-cat upgrade on scb boxes to 1.3.0~r84327-1+wmf1, T189076

@akosiaris Looks like we've another issue with upgrade, let's sync tomorrow for analysis.

kartik@scb1004:/srv/log/apertium$ dpkg -l|grep apertium-separable
ii  apertium-separable              0.2.0~r84328-1+wmf1              amd64        Reordering separable/discontiguous multiwords

^^ We need to update apertium-separable to 0.3.1-1+wmf1!

Change 445372 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-fra-cat@master] apertium-fra-cat: Updated deps for apertium-separable

https://gerrit.wikimedia.org/r/445372

Change 445372 merged by Alexandros Kosiaris:
[operations/debs/contenttranslation/apertium-fra-cat@master] apertium-fra-cat: Updated deps for apertium-separable

https://gerrit.wikimedia.org/r/445372

Change deployed, apertium-fra-cat, apertium-separable is updated and apertium-apy has been rolling restarted

apertium-fra-cat still broken with current apertium-apy, upstream bug yet to add here.

Upstream has released new package, but waiting for tarball.

Upstream has updated -cat, -fra-cat and -fra and along with new apertium-apy/apertium-separable, it should fix issues we had in the past.

KartikMistry updated the task description. (Show Details)Oct 12 2018, 1:57 PM
KartikMistry updated the task description. (Show Details)Oct 15 2018, 1:10 PM
KartikMistry updated the task description. (Show Details)Oct 16 2018, 3:03 AM
KartikMistry updated the task description. (Show Details)Oct 16 2018, 2:22 PM
KartikMistry updated the task description. (Show Details)Oct 17 2018, 4:02 AM

Now, waiting for apertium-separable.

Change 468909 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-cat@master] apertium-cat: New upstream release

https://gerrit.wikimedia.org/r/468909

Change 468913 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-fra@master] apertium-cat: New upstream release

https://gerrit.wikimedia.org/r/468913

Change 469163 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-fra-cat@master] apertium-fra-cat: New upstream release

https://gerrit.wikimedia.org/r/469163

Change 468909 merged by Alexandros Kosiaris:
[operations/debs/contenttranslation/apertium-cat@master] apertium-cat: New upstream release

https://gerrit.wikimedia.org/r/468909

Change 468913 merged by Alexandros Kosiaris:
[operations/debs/contenttranslation/apertium-fra@master] apertium-fra: New upstream release

https://gerrit.wikimedia.org/r/468913

Change 469163 merged by Alexandros Kosiaris:
[operations/debs/contenttranslation/apertium-fra-cat@master] apertium-fra-cat: New upstream release

https://gerrit.wikimedia.org/r/469163

KartikMistry updated the task description. (Show Details)Nov 9 2018, 11:42 AM
KartikMistry closed this task as Resolved.Nov 19 2018, 8:17 AM
KartikMistry updated the task description. (Show Details)